---

# `next` always uses the latest versions

homebrew_install: https://raw.githubusercontent.com/Homebrew/install/master/install.sh
homebrew_cli_version: master
homebrew_cli_version_final: master
homebrew_autoupdate: true

homebrew_taps:
  - homebrew/core
  - homebrew/cask
  - name: gitlab/shared-runners
    url: https://gitlab.com/gitlab-org/ci-cd/shared-runners/homebrew.git
  - leoafarias/fvm

homebrew_taps_versions:
  - path: "{{ homebrew_repository }}/Library/Taps/homebrew/homebrew-core"
    version: master
    version_final: master
  - path: "{{ homebrew_repository }}/Library/Taps/homebrew/homebrew-cask"
    version: master
    version_final: master
  - path: "{{ homebrew_repository }}/Library/Taps/gitlab/homebrew-shared-runners"
    version: master
    version_final: master
  - path: "{{ homebrew_repository }}/Library/Taps/leoafarias/homebrew-fvm"
    version: master
    version_final: master

homebrew_installed_packages:
  - coreutils
  # Language and Runtime
  - gcc # includes gfortran-9
  # Package Management
  - carthage
  # Utilities
  - curl
  - git-lfs
  - wget
  - openssl
  - jq
  - gpg
  - gitlab/shared-runners/sshpass
  - htop
  - bazel
  - rust
  - go
  - gradle
  - maven
  - node
  - ruby
  - openjdk@17 # needed by gradle. Switch to openjdk when this note has been removed from homebrew in the main branch https://github.com/Homebrew/homebrew-core/blob/8f94cbb22856c375b04b4aabe73071645e591492/Formula/gradle.rb#L4-L5
  - python
  - postgresql
  - name: php
    install_options: "include-test"
  - awscli
  - leoafarias/fvm/fvm

homebrew_cask_apps:
  # Language and Runtime
  - powershell
  - google-cloud-sdk
  - flutter
  - dotnet-sdk

#######################################################################
## asdf-vm
#######################################################################

asdf_version: v0.8.1
asdf_homebrew_deps:
  - coreutils
  - curl
  - git
asdf_plugins: []

#######################################################################
## Ruby
#######################################################################

ruby_gems:
  - bundler
  - cocoapods
  - fastlane
  - xcpretty

#######################################################################
## Python
#######################################################################

pip_packages:
  - pipenv

#######################################################################
## Node
#######################################################################

npm_packages:
  - yarn
